Name: rpmdrake
Version: 1.0
Release: 3mdk
License: GPL
Source0: %{name}
Source1: %{name}.png
Source2: %{name}-mini.png
Source3: %{name}-large.png
Source4: %{name}.menu
Summary: A graphical front end for installing packages
Requires: urpmi >= 1.1, gurpmi drakxtools perl-GTK kdesu
BuildRoot: /tmp/%{name}
Group: System/Configuration/Packaging

%description
rpmdrake is an apt-alike tool. It also handles packages on more than one cdrom,
asking you the needed one.

It is a graphical front-end to urpmi/gurpmi.

%install
dir=$RPM_BUILD_ROOT/usr/X11R6/bin
install -d $dir
install $RPM_SOURCE_DIR/%{name} $dir

install -d $RPM_BUILD_ROOT/usr/share/icons/{mini,large}
convert %{SOURCE1} $RPM_BUILD_ROOT/usr/share/icons/%{name}.xpm
convert %{SOURCE2} $RPM_BUILD_ROOT/usr/share/icons/mini/%{name}.xpm
convert %{SOURCE3} $RPM_BUILD_ROOT/usr/share/icons/large/%{name}.xpm

install -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/usr/lib/menu/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post 
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi  

%files
%defattr(-,root,root)
/usr/X11R6/bin/%{name}
/usr/lib/menu/*

%changelog
* Fri May  5 2000 Pixel <pixel@mandrakesoft.com> 1.0-3mdk
- fix hdlist.cz2 instead of hdlist by default

* Fri May  5 2000 Pixel <pixel@mandrakesoft.com> 1.0-2mdk
- add menu entry

* Wed Apr  5 2000 Pixel <pixel@mandrakesoft.com> 1.0-1mdk
- new version. compliant with/needs new urpmi

* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 0.9-8mdk
- new group

* Mon Jan 10 2000 Pixel <pixel@mandrakesoft.com>
- fix an ugly bug in search package in flat display

* Wed Dec 22 1999 Pixel <pixel@mandrakesoft.com>
- fixed some bugs (+ cleanup)
- now list all installed progs in `Installed packages'

* Tue Dec 21 1999 Pixel <pixel@mandrakesoft.com>
- call kdesu if user is not in group urpmi

* Mon Dec 20 1999 Pixel <pixel@mandrakesoft.com>
- bug fix

* Sun Dec 19 1999 Pixel <pixel@mandrakesoft.com>
- new version (much better)

* Sat Dec 18 1999 Pixel <pixel@mandrakesoft.com>
- new version (lifting)

* Thu Dec  9 1999 Pixel <pixel@linux-mandrake.com>
- new version

* Mon Nov 22 1999 Pixel <pixel@mandrakesoft.com>
- bug fix

* Sun Nov 21 1999 Pixel <pixel@mandrakesoft.com>
- new version

* Fri Nov 19 1999 Pixel <pixel@mandrakesoft.com>
- first version

